﻿@model laboratoire1.Student

@{
    ViewBag.Title = "Inscription";
}
@if (ViewBag.mailStatus != null)
{
    <script>
            alert('@ViewBag.mailStatus');
    </script>
}
<h2>Nouvel Etudiant : Inscription</h2>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">




        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.nom, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.nom, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.nom, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.prenom, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.prenom, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.prenom, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.email, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.email, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.email, "", new { @class = "text-danger" })
            </div>
        </div>

        @{
            List<SelectListItem> listNivScol = new List<SelectListItem>();
            listNivScol.Add(new SelectListItem
            {
                Text = "Primaire",
                Value = "1"
            });

            listNivScol.Add(new SelectListItem
            {
                Text = "Secondaire",
                Value = "2"
            });

            listNivScol.Add(new SelectListItem
            {
                Text = "Collegial",
                Value = "3"
            });
        }

        <div class="form-group">
            @Html.LabelFor(model => model.IdNivScolaire, "Niveau scolaire ", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownListFor(model => model.IdNivScolaire, listNivScol, "--Selectionner un niveau de scolarité--", htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.IdNivScolaire, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Creer le compte" class="btn btn-default" />
            </div>
        </div>
    </div>
}


